local text, title
local zz = m_simpleTV.Interface.GetLanguage() 

if zz =='ru' or zz =='uk' then 
	text, title = 'Удалить все каналы кроме избранных?', 'Удаление'
else 
	text, title = 'Remove all channels except your favorites', 'Remove'
end

local ret = m_simpleTV.Interface.MessageBox(text, title, 4+0x20) --MB_YESNO | MB_ICONQUESTION

if ret==6 then   --IDYES
  m_simpleTV.Database.ExecuteSql('DELETE Main.*, Main.TypeMedia, Main.Fav, Main.Id FROM Main WHERE ((Main.TypeMedia=0) AND (Main.Fav=0) AND (Main.Id<268435456));',true) 
 m_simpleTV.Common.RefreshPlayList()
end

